﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace BlackTieMedical
{
    public partial class SterilizerTestMaintenance : System.Web.UI.Page
    {
        public delegate int RefreshGridDelegate(string strSearchInfo);
        public delegate void UpdateCurrentPageDelegate(int iCurrentPage);

        protected void Page_Load(object sender, EventArgs e)
        {
            // for saving and printing from the Chemical update dialog
            string controlName = Request.Params.Get("__EVENTTARGET");

            if (controlName == "btnChemSaveAndPrint")
            {
                SaveChemical(null, null);
            }
            else if (controlName == "btnBioSaveAndPrint")
            {
                SaveBiological(null, null);
            }


            if (!Page.IsPostBack)
            {
                
                //tbFromDate.Text = DateTime.Now.AddDays(-7).ToShortDateString();
                //tbToDate.Text = DateTime.Now.ToShortDateString();
                //ddlQuickDate.Attributes.Add("onChange", "document.getElementById('rbDateQuick').checked = true;");
                //tbFromDate.Attributes.Add("onClick", "document.getElementById('rbDateDetail').checked = true;");
                //tbToDate.Attributes.Add("onClick", "document.getElementById('rbDateDetail').checked = true;");

                //btnSaveChemical.Attributes.Add("OnClick", "javascript:return OnSaveChemical();");
                //btnSaveBiological.Attributes.Add("OnClick", "javascript:return OnSaveBiological();");

                //// prefill the lots
                //RefreshAgentsUsed();

            }            

            // connect the delegates to the user controls - must be OUTSIDE IsPostback to ensure the dynamic values 
            // are "reattached"
            //RefreshGridDelegate rgdTemp = new RefreshGridDelegate(this.RefreshGrid);
            //dpnPagingTop.RefreshParentGrid = rgdTemp;
            //dpnPagingBottom.RefreshParentGrid = rgdTemp;

            //UpdateCurrentPageDelegate ucpdTemp = new UpdateCurrentPageDelegate(this.UpdateCurrentPage);
            //dpnPagingTop.UpdateCurrentPage = ucpdTemp;
            //dpnPagingBottom.UpdateCurrentPage = ucpdTemp;
        }

        protected void OnGenerate(object sender, EventArgs e)
        {
            //RefreshGrid("");
        }

        //private int RefreshGrid(string strSearchCriteria)
        //{
        //    DateTime dtFrom = new DateTime();
        //    DateTime dtTo = new DateTime();

        //    List<SterilizerTest> lstSterilizerTests = new List<SterilizerTest>();

        //    // go get the date range selected 
        //    GetSelectedDates(ref dtFrom, ref dtTo);

        //    lstSterilizerTests =
        //        SterilizerTestManager.GetSterilizerTestsByHospitalID(Global.CurrentUser.HospitalInfo.HospitalID, dtFrom, dtTo);

        //    // construct the formatted load numbers for these tests
        //    foreach (SterilizerTest stTemp in lstSterilizerTests)
        //    {
        //        stTemp.FormattedLoadNumber = SterilizerTestManager.GetFormattedSterilizerTestLoadID(stTemp);
        //    }

        //    // sorting
        //    SterilizerTestComparer stComparer =
        //        new SterilizerTestComparer(ViewState["SortCol"] + ": " + ViewState["SortOrder"]);

        //    lstSterilizerTests.Sort(stComparer);

        //    DataView dv = new DataView();
        //    dv = ConvertLists.ToDataView(lstSterilizerTests);

        //    // setup page navigation for the returned result set
        //    dpnPagingTop.SetupDataPageNavigation(dv, true, 25);
        //    dpnPagingBottom.SetupDataPageNavigation(dv, true, 25);

        //    rptTests.DataSource = dpnPagingTop.PagedData;
        //    rptTests.DataBind();

        //    if (dpnPagingBottom.PagedData.Count > 0)
        //    {
        //        dpnPagingTop.Visible = true;
        //        dpnPagingBottom.Visible = true;
        //    }
        //    else
        //    {
        //        dpnPagingTop.Visible = false;
        //        dpnPagingBottom.Visible = false;
        //    }

        //    return 0;
        //}

        private static void RefreshInspectors(ListControl ddl)
        {
            //List<WasherInspector> lstWI =
            //    WasherInspectorManager.GetWasherInspectorsByHospitalID(Global.CurrentUser.HospitalInfo.HospitalID);

            //DataTable dt = new DataTable();

            //dt.Columns.Add(new DataColumn("WasherInspectorID", typeof(long)));
            //dt.Columns.Add(new DataColumn("Name", typeof(string)));

            //foreach (WasherInspector wi in lstWI)
            //{
            //    DataRow dr = dt.NewRow();

            //    dr[0] = wi.WasherInspectorID;
            //    dr[1] = wi.LastName + ", " + wi.FirstName;

            //    dt.Rows.Add(dr);
            //}

            //ddl.DataTextField = "Name";
            //ddl.DataValueField = "WasherInspectorID";
            //ddl.DataSource = dt;
            //ddl.DataBind();

            //ddl.Items.Insert(0, "");
        }

        private void RefreshCycleTypeDescriptions(long lSterilizerID)
        {
            //List<CycleTypeDescription> lstCycleTypeDescriptions =
            //    CycleTypeDescriptionManager.GetCycleTypeDescriptionsBySterilizerID(lSterilizerID);

            //DataTable dt = new DataTable();

            //dt.Columns.Add(new DataColumn("CycleTypeDescriptionID", typeof(long)));
            //dt.Columns.Add(new DataColumn("Description", typeof(string)));

            //foreach (CycleTypeDescription ctd in lstCycleTypeDescriptions)
            //{
            //    DataRow dr = dt.NewRow();

            //    dr[0] = ctd.CycleTypeDescriptionID;
            //    dr[1] = ctd.CTDCycleType.CycleTypeName + " - " + ctd.Description;

            //    if (ctd.CycleTime >= 0)
            //        dr[1] += " - " + ctd.CycleTime + " min.";

            //    if (ctd.DryTime >= 0)
            //        dr[1] += " - " + ctd.DryTime + " min.";

            //    if (ctd.Temp >= 0)
            //        dr[1] += " - " + ctd.Temp + "F";

            //    if (ctd.Pressure >= 0)
            //        dr[1] += " - " + ctd.Pressure + " PSI";

            //    dt.Rows.Add(dr);
            //}

            //ddlCycleTypeDescriptions.DataTextField = "Description";
            //ddlCycleTypeDescriptions.DataValueField = "CycleTypeDescriptionID";
            //ddlCycleTypeDescriptions.DataSource = dt;
            //ddlCycleTypeDescriptions.DataBind();

            //ddlCycleTypeDescriptions.Items.Insert(0, "");
        }

        private void RefreshAgentsUsed()
        {
            //List<SuppliesUsed> lstSuppliesUsed =
            //    SuppliesUsedManager.GetSuppliesUsedByHospitalID(Global.CurrentUser.HospitalInfo.HospitalID);

            //DataTable dt = new DataTable();

            //dt.Columns.Add(new DataColumn("SuppliesUsedID", typeof(long)));
            //dt.Columns.Add(new DataColumn("Supplies", typeof(string)));

            //DataTable dtBio = new DataTable();

            //dtBio.Columns.Add(new DataColumn("SuppliesUsedID", typeof(long)));
            //dtBio.Columns.Add(new DataColumn("Supplies", typeof(string)));

            //DataTable dtBowieDick = new DataTable();

            //dtBowieDick.Columns.Add(new DataColumn("SuppliesUsedID", typeof(long)));
            //dtBowieDick.Columns.Add(new DataColumn("Supplies", typeof(string)));

            //DataTable dtDetergent = new DataTable();

            //dtDetergent.Columns.Add(new DataColumn("SuppliesUsedID", typeof(long)));
            //dtDetergent.Columns.Add(new DataColumn("Supplies", typeof(string)));

            //DataTable dtCultureTest = new DataTable();

            //dtCultureTest.Columns.Add(new DataColumn("SuppliesUsedID", typeof(long)));
            //dtCultureTest.Columns.Add(new DataColumn("Supplies", typeof(string)));

            //DataTable dtParaceticAcid = new DataTable();

            //dtParaceticAcid.Columns.Add(new DataColumn("SuppliesUsedID", typeof(long)));
            //dtParaceticAcid.Columns.Add(new DataColumn("Supplies", typeof(string)));

            //foreach (SuppliesUsed su in lstSuppliesUsed)
            //{
            //    if (su.SUIndicator.IndicatorName == "Chemical")
            //    {
            //        DataRow dr = dt.NewRow();

            //        dr[0] = su.SuppliesUsedID;
            //        dr[1] = su.Manufacturer + " - " + su.LotNumber;

            //        dt.Rows.Add(dr);
            //    }
            //    else if (su.SUIndicator.IndicatorName == "Biological")
            //    {
            //        DataRow dr = dtBio.NewRow();

            //        dr[0] = su.SuppliesUsedID;
            //        dr[1] = su.Manufacturer + su.LotNumber;

            //        dtBio.Rows.Add(dr);
            //    }
            //    else if (su.SUIndicator.IndicatorName == "Bowie Dick")
            //    {
            //        DataRow dr = dtBowieDick.NewRow();

            //        dr[0] = su.SuppliesUsedID;
            //        dr[1] = su.Manufacturer + su.LotNumber;

            //        dtBowieDick.Rows.Add(dr);
            //    }
            //    else if (su.SUIndicator.IndicatorName == "Detergent")
            //    {
            //        DataRow dr = dtDetergent.NewRow();

            //        dr[0] = su.SuppliesUsedID;
            //        dr[1] = su.Manufacturer + su.LotNumber;

            //        dtDetergent.Rows.Add(dr);
            //    }
            //    else if (su.SUIndicator.IndicatorName == "Culture Test")
            //    {
            //        DataRow dr = dtCultureTest.NewRow();

            //        dr[0] = su.SuppliesUsedID;
            //        dr[1] = su.Manufacturer + su.LotNumber;

            //        dtCultureTest.Rows.Add(dr);
            //    }
            //    else if (su.SUIndicator.IndicatorName == "Paracetic Acid")
            //    {
            //        DataRow dr = dtParaceticAcid.NewRow();

            //        dr[0] = su.SuppliesUsedID;
            //        dr[1] = su.Manufacturer + su.LotNumber;

            //        dtParaceticAcid.Rows.Add(dr);
            //    }
            //}

            //lbChemLotNumber.DataTextField = "Supplies";
            //lbChemLotNumber.DataValueField = "SuppliesUsedID";
            //lbChemLotNumber.DataSource = dt;
            //lbChemLotNumber.DataBind();

            //lbBioLotNumber.DataTextField = "Supplies";
            //lbBioLotNumber.DataValueField = "SuppliesUsedID";
            //lbBioLotNumber.DataSource = dtBio;
            //lbBioLotNumber.DataBind();

            //lbBDLotNumbers.DataTextField = "Supplies";
            //lbBDLotNumbers.DataValueField = "SuppliesUsedID";
            //lbBDLotNumbers.DataSource = dtBowieDick;
            //lbBDLotNumbers.DataBind();

            //lbDetergentLotNumber.DataTextField = "Supplies";
            //lbDetergentLotNumber.DataValueField = "SuppliesUsedID";
            //lbDetergentLotNumber.DataSource = dtDetergent;
            //lbDetergentLotNumber.DataBind();

            //lbCultureLotNumber.DataTextField = "Supplies";
            //lbCultureLotNumber.DataValueField = "SuppliesUsedID";
            //lbCultureLotNumber.DataSource = dtCultureTest;
            //lbCultureLotNumber.DataBind();

            //lbParaceticLotNumber.DataTextField = "Supplies";
            //lbParaceticLotNumber.DataValueField = "SuppliesUsedID";
            //lbParaceticLotNumber.DataSource = dtParaceticAcid;
            //lbParaceticLotNumber.DataBind();
        }

        protected void OnRptTestsItemDataBound(object sender, RepeaterItemEventArgs e)
        {
            //if (e.Item.ItemType == ListItemType.AlternatingItem || e.Item.ItemType == ListItemType.Item)
            //{      
            //    // biological results
            //    HtmlTableCell htcBiologicalCell = (HtmlTableCell)e.Item.FindControl("tdBiologicalResult");
            //    if (htcBiologicalCell.InnerText.Contains("False"))
            //    {
            //        htcBiologicalCell.InnerText = "Failed";
            //        htcBiologicalCell.Style.Add("color", "Red");
            //    }
            //    else if (htcBiologicalCell.InnerText.Contains("True"))
            //    {
            //        htcBiologicalCell.InnerText = "Passed";
            //        htcBiologicalCell.Style.Add("color", "Green");
            //    }

            //    // chemical results
            //    HtmlTableCell htcChemicalCell = (HtmlTableCell)e.Item.FindControl("tdChemicalResult");
            //    if (htcChemicalCell.InnerText.Contains("False"))
            //    {
            //        htcChemicalCell.InnerText = "Failed";
            //        htcChemicalCell.Style.Add("color", "Red");
            //    }
            //    else if(htcChemicalCell.InnerText.Contains("True"))
            //    {
            //        htcChemicalCell.InnerText = "Passed";
            //        htcChemicalCell.Style.Add("color", "Green");
            //    }

            //    // bowie dick results
            //    HtmlTableCell htcBowieCell = (HtmlTableCell)e.Item.FindControl("tdBowieDick");
            //    LinkButton lbEditBD = (LinkButton)e.Item.FindControl("lbEditBD");
            //    if (htcBowieCell.InnerText.Contains("false"))
            //    {
            //        htcBowieCell.InnerText = "Failed";
            //        htcBowieCell.Style.Add("color", "Red");
            //    }
            //    else if (htcBowieCell.InnerText.Contains("true"))
            //    {
            //        htcBowieCell.InnerText = "Passed";
            //        htcBowieCell.Style.Add("color", "Green");
            //    }
            //    else
            //    {
            //        lbEditBD.Visible = false;
            //    }

            //    // hide the chemical and biological fields if this is a BD test
            //    HtmlTableCell htcEditChem = (HtmlTableCell)e.Item.FindControl("tdEditChem");
            //    HtmlTableCell htcEditBio = (HtmlTableCell)e.Item.FindControl("tdEditBio");

            //    if (htcBowieCell.InnerText.Contains("Failed") || htcBowieCell.InnerText.Contains("Passed"))
            //    {
            //        htcChemicalCell.InnerText = "";
            //        htcEditChem.InnerText = "";
            //        htcBiologicalCell.InnerText = "";
            //        htcEditBio.InnerText = "";
            //    }

            //    // add button click events for the print button
            //    LinkButton lbPrintLoad = (LinkButton)e.Item.FindControl("lbPrintLoad");
            //    HiddenField hfSterilizerTestID = (HiddenField)e.Item.FindControl("hfTestID");
            //    HtmlTableCell htcFormattedID = (HtmlTableCell)e.Item.FindControl("tdFormattedID"); 
                 
            //    lbPrintLoad.Attributes.Add("OnClick", "javascript:return PrintLoad(" + hfSterilizerTestID.Value + ", " +
            //        "'" + htcFormattedID.InnerText.Trim() + "');");
            //}
        }

        protected void OnRptTestsItemCommand(object sender, RepeaterCommandEventArgs e)
        {
            //SterilizerTest stTemp = new SterilizerTest();
            //List<SuppliesUsed> lstSupplies = new List<SuppliesUsed>();

            //if (e.Item.ItemType == ListItemType.AlternatingItem || e.Item.ItemType == ListItemType.Item)
            //{
            //    stTemp = SterilizerTestManager.GetSterilizerTestsByID(Convert.ToInt64(e.CommandArgument));
                
            //    lstSupplies = SterilizerTestSuppliesUsedManager.GetSterilizerTestsSuppliedUsedByTestID(stTemp.SterilizerTestID);
            //}

            //switch (e.CommandName)
            //{
            //    #region Edit Load
            //    case "Edit":
            //    case "EditBD":
            //        ResetTestDetailsPopupFields();                   

            //        // be ready in case we save later
            //        btnSaveLoad.CommandArgument = stTemp.SterilizerTestID.ToString();

            //        // common items
            //        txtSterilizer.Text = SterilizerTestManager.GetFormattedSterilizerTestLoadID(stTemp);
            //        txtLoadNumber.Text = stTemp.LoadNumber.ToString();

            //        // get the list of inspectors, populate the drop down and pick the selected person
            //        RefreshInspectors(ddlInspector);
            //        ddlInspector.Items.FindByText(stTemp.InitialWasherInspector.LastName + ", " +
            //            stTemp.InitialWasherInspector.FirstName).Selected = true;

            //        // start date and time
            //        lblStartDate.Text = stTemp.StartDateTime.ToShortDateString();
            //        txtStartTime.Text = stTemp.StartDateTime.ToShortTimeString();

            //         //bowie dick result
            //        if (stTemp.BowieDickResult != "")
            //        {
            //            if (stTemp.BowieDick)
            //            {
            //                rbBowieDickResultYesPass.Checked = true;
            //                rbBowieDickResultYesFail.Checked = false;
            //                rbBowieDickResultNo.Checked = false;
            //            }
            //            else
            //            {
            //                rbBowieDickResultYesPass.Checked = false;
            //                rbBowieDickResultYesFail.Checked = true;
            //                rbBowieDickResultNo.Checked = false;
            //            }
            //        }
            //        else
            //        {
            //            rbBowieDickResultYesPass.Checked = false;
            //            rbBowieDickResultYesFail.Checked = false;
            //            rbBowieDickResultNo.Checked = true;
            //        }


            //        // now we have to decide what to display to the user 
            //        // bowie dick only test info
            //        if ((stTemp.BowieDickResult == "true" || stTemp.BowieDickResult == "false") &&
            //            stTemp.BiologicalResultText == "Not run" && stTemp.ChemicalResultText == "Not run")
            //        {
            //            trBowieDick.Visible = true;
            //            pnlChemicalLoad.Visible = false;

            //            // test lot numbers
            //            foreach (SuppliesUsed su in lstSupplies)
            //            {
            //                if (su.SUIndicator.IndicatorID == (long)Indicator.Indicators.BowieDick)
            //                {
            //                    lbBDLotNumbers.Items.FindByValue(su.SuppliesUsedID.ToString()).Selected = true;
            //                }
            //            }
            //        }
            //        else
            //        {
            //            // hide the bowie dick stuff
            //            if (stTemp.BowieDickResult == "true" || stTemp.BowieDickResult == "false")
            //                trBowieDickLotNumbers.Visible = true;
            //            else
            //                trBowieDickLotNumbers.Visible = false;

            //            // load contents
            //            ddlLoadContents.Visible = true;

            //            if (stTemp.LoadContentID != 0)
            //            {
            //                ddlLoadContents.Items.FindByValue(stTemp.LoadContentID.ToString()).Selected = true;
            //            }
            //            else
            //            {
            //                ddlLoadContents.SelectedIndex = 0;
            //            }

            //            txtLoadContentsPieceCount.Text = stTemp.LoadCount;

            //            if (stTemp.LoadContents != "")
            //            {
            //                divShowLoadContentsRow.Visible = false;
            //                trLoadContents.Visible = true;
            //                txtLoadContents.Text = stTemp.LoadContents;
            //            }

            //            // cycle type
            //            RefreshCycleTypeDescriptions(stTemp.STSterilizer.SterilizerID);

            //            if (stTemp.CycleTypeDescription.Description != "")
            //            {
            //                string strCycleType = "";

            //                strCycleType = stTemp.STSterilizer.CycleType.CycleTypeName + " - " + stTemp.CycleTypeDescription.Description;

            //                if (stTemp.CycleTypeDescription.CycleTime >= 0)
            //                    strCycleType += " - " + stTemp.CycleTypeDescription.CycleTime + " min.";

            //                if (stTemp.CycleTypeDescription.DryTime >= 0)
            //                    strCycleType += " - " + stTemp.CycleTypeDescription.DryTime + " min.";

            //                if (stTemp.CycleTypeDescription.Temp >= 0)
            //                    strCycleType += " - " + stTemp.CycleTypeDescription.Temp + "F";

            //                if (stTemp.CycleTypeDescription.Pressure >= 0)
            //                    strCycleType += " - " + stTemp.CycleTypeDescription.Pressure + " PSI";

            //                ddlCycleTypeDescriptions.Items.FindByText(strCycleType).Selected = true;
            //            }

            //            // MRN, Case number and modality
            //            txtPatientMRN.Text = stTemp.PatientMRN;
            //            txtCaseNumber.Text = stTemp.PatientCaseNumber;
            //            if (stTemp.STSterilizer.CycleType.CycleTypeID == (long)CycleType.Cycle.Gravity ||
            //                stTemp.STSterilizer.CycleType.CycleTypeID == (long)CycleType.Cycle.PreVacuum ||
            //                stTemp.STSterilizer.CycleType.CycleTypeID == (long)CycleType.Cycle.Both)
            //            {
            //                lblMRNRequried.Text = stTemp.STSterilizer.PatientMRN ? "*" : "";
            //                txtPatientMRN.Text = "";
            //                lblCaseNumberRequired.Text = stTemp.STSterilizer.PatientCaseNumber ? "*" : "";
            //                txtCaseNumber.Text = "";
            //                lblModalityRequired.Text = stTemp.STSterilizer.Modality ? "*" : "";
            //                txtModality.Text = "";

            //                if (stTemp.STSterilizer.PatientMRN)
            //                    trMRN.Visible = true;
            //                else
            //                    trMRN.Visible = false;

            //                if (stTemp.STSterilizer.PatientCaseNumber)
            //                    trCaseNumber.Visible = true;
            //                else
            //                    trCaseNumber.Visible = false;

            //                if (stTemp.STSterilizer.Modality)
            //                    trModality.Visible = true;
            //                else
            //                    trModality.Visible = false;
            //            }

            //            // test run status
            //            rbBiologicalYes.Checked = stTemp.BiologicalTest;
            //            rbBiologicalNo.Checked = !stTemp.BiologicalTest;
            //            rbDetergentYes.Checked = stTemp.DetergentTest;
            //            rbDetergentNo.Checked = !stTemp.DetergentTest;
            //            rbCultureYes.Checked = stTemp.CultureTest;
            //            rbCultureNo.Checked = !stTemp.CultureTest;
            //            rbParaceticYes.Checked = stTemp.ParaceticAcidTest;
            //            rbParaceticNo.Checked = !stTemp.ParaceticAcidTest;

            //            // show the lot list boxes as appropriate
            //            if (rbBiologicalYes.Checked)
            //                trBioTest.Visible = true;

            //            if (rbDetergentYes.Checked)
            //                trDetergentTest.Visible = true;

            //            if (rbCultureYes.Checked)
            //                trCultureTest.Visible = true;

            //            if (rbParaceticYes.Checked)
            //                trParaceticTest.Visible = true;

            //            // test lot numbers
            //            foreach (SuppliesUsed su in lstSupplies)
            //            {
            //                if (su.SUIndicator.IndicatorID == (long)Indicator.Indicators.Chemical)
            //                {
            //                    lbChemLotNumber.Items.FindByValue(su.SuppliesUsedID.ToString()).Selected = true;
            //                }
            //                else if (su.SUIndicator.IndicatorID == (long)Indicator.Indicators.Biological)
            //                {
            //                    lbBioLotNumber.Items.FindByValue(su.SuppliesUsedID.ToString()).Selected = true;
            //                }
            //                else if (su.SUIndicator.IndicatorID == (long)Indicator.Indicators.BowieDick)
            //                {
            //                    lbBDLotNumbers.Items.FindByValue(su.SuppliesUsedID.ToString()).Selected = true;
            //                }
            //                else if (su.SUIndicator.IndicatorID == (long)Indicator.Indicators.Detergent)
            //                {
            //                    lbDetergentLotNumber.Items.FindByValue(su.SuppliesUsedID.ToString()).Selected = true;
            //                }
            //                else if (su.SUIndicator.IndicatorID == (long)Indicator.Indicators.CultureTest)
            //                {
            //                    lbCultureLotNumber.Items.FindByValue(su.SuppliesUsedID.ToString()).Selected = true;
            //                }
            //                else if (su.SUIndicator.IndicatorID == (long)Indicator.Indicators.ParaceticAcid)
            //                {
            //                    lbParaceticLotNumber.Items.FindByValue(su.SuppliesUsedID.ToString()).Selected = true;
            //                }
            //            }
            //        }

            //        mpeLoadModal.Show();
            //        break;

            //    #endregion

            //    #region Edit Chem
            //    case "EditChem":

            //        // get the list of inspectors, populate the drop down and pick the selected person
            //        RefreshInspectors(ddlReviewedBy);
            //        if (stTemp.ChemicalReviewedBy != null)
            //        {
            //            ddlReviewedBy.Items.FindByValue(stTemp.ChemicalReviewedBy.WasherInspectorID.ToString()).Selected = true;
            //        }
            //        else
            //        {
            //            ddlReviewedBy.SelectedIndex = 0;
            //        }

            //        // pass or fail
            //        if (stTemp.ChemicalResult)
            //        {
            //            rbChemicalIndicatorPass.Checked = true;
            //            rbChemicalIndicatorFail.Checked = false;
            //        }
            //        else
            //        {
            //            rbChemicalIndicatorFail.Checked = true;
            //            rbChemicalIndicatorPass.Checked = false;
            //        }

            //        // notes
            //        txtChemicalNotes.Text = stTemp.ChemicalNotes;

            //        // detergent indicator
            //        if (stTemp.DetergentTest)
            //        {
            //            trDetergentResult.Visible = true;

            //            if (!stTemp.DetergentResult)
            //            {
            //                rbDetergentIndicatorFail.Checked = true;
            //                rbDetergentIndicatorPass.Checked = false;
            //            }
            //            else
            //            {
            //                rbDetergentIndicatorPass.Checked = true;
            //                rbDetergentIndicatorFail.Checked = false;
            //            }
            //        }
            //        else
            //        {
            //            trDetergentResult.Visible = false;
            //        }

            //        //culture indicator
            //        if (stTemp.CultureTest)
            //        {
            //            trCultureResult.Visible = true;

            //            if (stTemp.CultureResult)
            //            {
            //                rbCultureIndicatorPass.Checked = true;
            //                rbCultureIndicatorFail.Checked = false;
            //            }
            //            else
            //            {
            //                rbCultureIndicatorFail.Checked = true;
            //                rbCultureIndicatorPass.Checked = false;
            //            }
            //        }
            //        else
            //        {
            //            trCultureResult.Visible = false;
            //        }

            //        // paracetic indicator
            //        if (stTemp.ParaceticAcidTest)
            //        {
            //            trParaceticResult.Visible = true;

            //            if (stTemp.ParaceticAcidResult)
            //            {
            //                rbParaceticIndicatorPass.Checked = true;
            //                rbParaceticIndicatorFail.Checked = false;
            //            }
            //            else
            //            {
            //                rbParaceticIndicatorFail.Checked = true;
            //                rbChemicalIndicatorPass.Checked = false;
            //            }
            //        }
            //        else
            //        {
            //            trParaceticResult.Visible = false;
            //        }

            //        // print out reviewed
            //        if (stTemp.PrintOutReviewed)
            //            rbPrintOutReviewedYes.Checked = true;
            //        else
            //            rbPrintOutReviewedNo.Checked = true;

            //        if (stTemp.BiologicalReadyDateTime != DateTime.MinValue)
            //        {
            //            txtBioReadyDateTime.Text = stTemp.BiologicalReadyDateTime.ToShortDateString() + " " +
            //                stTemp.BiologicalReadyDateTime.ToShortTimeString();

            //        }
                            
            //        // must have this in order to print results 
            //        btnChemSaveAndPrint.Attributes.Add("OnClick", "javascript:return ChemicalPrintAndSaveLoad(" + stTemp.SterilizerTestID + ", " + 
            //            "'" + SterilizerTestManager.GetFormattedSterilizerTestLoadID(stTemp) + "')");

            //        mpeChemicalResultModal.Show();

            //        // attach the ID to the command button
            //        btnSaveChemical.CommandArgument = stTemp.SterilizerTestID.ToString();
            //        btnChemSaveAndPrint.CommandArgument = stTemp.SterilizerTestID.ToString();

            //        break;

            //    #endregion

            //    #region Edit Biological
            //    case "EditBio":
                    
            //        // get the list of inspectors, populate the drop down and pick the selected person
            //        RefreshInspectors(ddlBiologicalReviewedBy);

            //        if (stTemp.BiologicalReviewedBy != null)
            //        {
            //            ddlBiologicalReviewedBy.Items.FindByValue(stTemp.BiologicalReviewedBy.WasherInspectorID.ToString()).Selected = true;
            //        }
            //        else
            //        {
            //            ddlBiologicalReviewedBy.SelectedIndex = 0;
            //        }

            //        // pass or fail
            //        if (stTemp.BiologicalResult)
            //        {
            //            rbBiologicalResultPass.Checked = true;
            //            rbBiologicalResultFail.Checked = false;
            //        }
            //        else
            //        {
            //            rbBiologicalResultFail.Checked = true;
            //            rbBiologicalResultPass.Checked = false;
            //        }

            //        // notes
            //        txtBiologicalNotes.Text = stTemp.BiologicalNotes; ;

            //        // so when we save the data we have the ID number
            //        btnSaveBiological.CommandArgument = stTemp.SterilizerTestID.ToString();

            //    // must have this in order to print results 
            //        btnBioPrintAndSave.Attributes.Add("OnClick", "javascript:return BiologicalPrintAndSaveLoad(" + stTemp.SterilizerTestID + ", " +
            //            "'" + SterilizerTestManager.GetFormattedSterilizerTestLoadID(stTemp) + "')");

            //        mpeBiologicalResultModal.Show();
            //        break;

            //    #endregion

            //    #region Delete
                
            //    case "Delete":

            //        if (stTemp.BowieDickResult == "")
            //            lblDeleteConfirmationMsg.Text = "Are you sure you want to delete this load?";
            //        else
            //            lblDeleteConfirmationMsg.Text = "This load includes a Bowie-Dick result, are you sure you want to delete this load?";

            //        btnYesDelete.CommandArgument = e.CommandArgument.ToString();
            //        Session["StartDate"] = stTemp.StartDateTime;
            //        mpeDeleteConfirmation.Show();

            //        break;

            //    #endregion

            //    #region Sort
            //    case "Sort":

            //        SortGrid(Convert.ToInt32(e.CommandArgument));                    

            //        break;
            //    #endregion

            //}
        }

        // reset the load's popup's fields so we don't accidentally carry any 
        // data over from the previous use
        private void ResetTestDetailsPopupFields()
        {
            // common items
            //ddlInspector.ClearSelection();
            //lblStartDate.Text = "";
            //txtStartTime.Text = "00:00 am";
            
            //// load contents
            //ddlLoadContents.ClearSelection();
            //txtLoadContents.Text = "";
            //divShowLoadContentsRow.Visible = true;
            //trLoadContents.Visible = false;
            //lnkRecordLoadContents.Text = "Record Load Contents";

            //// MRN, case number and modality
            //lblMRNRequried.Text = "";
            //txtPatientMRN.Text = "";
            //lblCaseNumberRequired.Text = "";
            //txtCaseNumber.Text = "";
            //lblModalityRequired.Text = "";
            //txtModality.Text = "";

            //trMRN.Visible = false;
            //trCaseNumber.Visible = false;
            //trModality.Visible = false;

            //// tests
            //trBioTest.Visible = false;
            //trDetergentTest.Visible = false;
            //trCultureTest.Visible = false;            
            //trParaceticTest.Visible = false;

            //// lot numbers
            //lbChemLotNumber.ClearSelection();
            //lbBioLotNumber.ClearSelection();
            //lbBDLotNumbers.ClearSelection();
            //lbDetergentLotNumber.ClearSelection();
            //lbCultureLotNumber.ClearSelection();
            //lbParaceticLotNumber.ClearSelection();

            //// chemical
            //pnlChemicalLoad.Visible = true;
        }

        protected void TestCheckYesChanged(object sender, EventArgs e)
        {
            //RadioButton rbTemp = (RadioButton)sender;

            //switch (rbTemp.ID)
            //{
            //    case "rbBiologicalYes":
            //        if (rbTemp.Checked)
            //            trBioTest.Visible = true;
            //        else
            //            trBioTest.Visible = false;
            //        break;

            //    case "rbDetergentYes":
            //        if (rbTemp.Checked)
            //            trDetergentTest.Visible = true;
            //        else
            //            trDetergentTest.Visible = false;
            //        break;

            //    case "rbCultureYes":
            //        if (rbTemp.Checked)
            //            trCultureTest.Visible = true;
            //        else
            //            trCultureTest.Visible = false;
            //        break;

            //    case "rbParaceticYes":
            //        if (rbTemp.Checked)
            //            trParaceticTest.Visible = true;
            //        else
            //            trParaceticTest.Visible = false;
            //        break;
                    
            //    case "rbBowieDickResultYesPass":
            //    case "rbBowieDickResultYesFail":
            //        if (rbTemp.Checked)
            //            trBowieDickLotNumbers.Visible = true;                        
            //        else
            //            trBowieDickLotNumbers.Visible = false;
            //        break;
            //}

            //mpeLoadModal.Show();
        }

        protected void TestCheckNoChanged(object sender, EventArgs e)
        {
            //RadioButton rbTemp = (RadioButton)sender;

            //switch (rbTemp.ID)
            //{
            //    case "rbBiologicalNo":
            //        if (rbTemp.Checked)
            //            trBioTest.Visible = false;
            //        else
            //            trBioTest.Visible = true;
            //        break;

            //    case "rbDetergentNo":
            //        if (rbTemp.Checked)
            //            trDetergentTest.Visible = false;
            //        else
            //            trDetergentTest.Visible = true;
            //        break;

            //    case "rbCultureNo":
            //        if (rbTemp.Checked)
            //            trCultureTest.Visible = false;
            //        else
            //            trCultureTest.Visible = true;
            //        break;

            //    case "rbParaceticNo":
            //        if (rbTemp.Checked)
            //            trParaceticTest.Visible = false;
            //        else
            //            trParaceticTest.Visible = true;
            //        break;

            //    case "rbBowieDickResultNo":
            //        if (rbTemp.Checked)
            //            trBowieDickLotNumbers.Visible = false;
            //        else
            //            trBowieDickLotNumbers.Visible = true;
            //        break;
            //}

            //mpeLoadModal.Show();
        }

        protected void ShowLoadContents(object sender, EventArgs e)
        {
            //if (((LinkButton)sender).Text.Contains("Record"))
            //{
            //    trLoadContents.Visible = true;
            //    lnkRecordLoadContents.Text = "Close Load Contents";
            //}
            //else
            //{
            //    trLoadContents.Visible = false;
            //    lnkRecordLoadContents.Text = "Record Load Contents";
            //}

            //mpeLoadModal.Show();
        }

        protected void SaveLoad(object sender, CommandEventArgs e)
        {
            //SterilizerTest st = new SterilizerTest();
            
            //st.SterilizerTestID = Convert.ToInt64(btnSaveLoad.CommandArgument);

            //st.InitialWasherInspector = new WasherInspector();
            //st.InitialWasherInspector.WasherInspectorID = Convert.ToInt64(ddlInspector.SelectedValue);
                        
            //st.LoadNumber = Convert.ToInt64(txtLoadNumber.Text);

            //st.StartDateTime = Convert.ToDateTime(lblStartDate.Text + " " + txtStartTime.Text);
            
            //st.LoadContentID = Convert.ToInt64(ddlLoadContents.SelectedValue);
            //st.LoadContents = txtLoadContents.Text;
            //st.LoadCount = txtLoadContentsPieceCount.Text;

            //st.BiologicalTest = rbBiologicalYes.Checked;
            //st.DetergentTest = rbDetergentYes.Checked;
            //st.CultureTest = rbCultureYes.Checked;
            //st.ParaceticAcidTest = rbParaceticYes.Checked;

            //if (ddlCycleTypeDescriptions.SelectedIndex > 0)
            //{
            //    st.CycleTypeDescription = new CycleTypeDescription();
            //    st.CycleTypeDescription.CycleTypeDescriptionID = Convert.ToInt64(ddlCycleTypeDescriptions.SelectedValue);
            //}

            //// bowie dick info
            //if (rbBowieDickResultYesFail.Checked || rbBowieDickResultYesPass.Checked)
            //{
            //    st.GetBowieDick = true;
            //    st.BowieDick = rbBowieDickResultYesPass.Checked;

            //    UpdateSuppliesUsedFromListBox(lbBDLotNumbers, st.SterilizerTestID);

            //}
            //else
            //{
            //    st.GetBowieDick = false;                
            //}
            
            //st.PatientMRN = txtPatientMRN.Text;
            //st.PatientCaseNumber = txtCaseNumber.Text;
            //st.Modality = txtModality.Text;
            
            //UpdateSuppliesUsedFromListBox(lbChemLotNumber, st.SterilizerTestID);

            //if (rbBiologicalYes.Checked)
            //    UpdateSuppliesUsedFromListBox(lbBioLotNumber, st.SterilizerTestID);

            //if (rbDetergentYes.Checked)
            //    UpdateSuppliesUsedFromListBox(lbDetergentLotNumber, st.SterilizerTestID);

            //if (rbCultureYes.Checked)
            //    UpdateSuppliesUsedFromListBox(lbCultureLotNumber, st.SterilizerTestID);

            //if (rbParaceticYes.Checked)
            //    UpdateSuppliesUsedFromListBox(lbParaceticLotNumber, st.SterilizerTestID);


            ////SterilizerTestManager.UpdateSterilizerTest(st);
            //RefreshGrid("");
        }

        protected void SaveChemical(object sender, CommandEventArgs e)
        {
            ////SterilizerTest st = new SterilizerTest();

            //// update the data
            //st.SterilizerTestID = Convert.ToInt64(btnSaveChemical.CommandArgument);
            //st.ChemicalResult = rbChemicalIndicatorPass.Checked;
            //st.ChemicalReviewedBy = new WasherInspector();
            //st.ChemicalReviewedBy.WasherInspectorID = Convert.ToInt64(ddlReviewedBy.SelectedValue);
            //st.ChemicalNotes = txtChemicalNotes.Text;
            
            //if (rbPrintOutReviewedYes.Checked)
            //    st.PrintOutReviewed = true;
            //else if (rbPrintOutReviewedNo.Checked)
            //    st.PrintOutReviewed = false;

            //// detergent
            //if (trDetergentResult.Visible && rbDetergentIndicatorPass.Checked)
            //{
            //    st.DetergentTest = true;
            //    st.DetergentResult = true;
            //}
            //else if (trDetergentResult.Visible && rbDetergentIndicatorFail.Checked)
            //{
            //    st.DetergentTest = true;
            //    st.DetergentResult = false;
            //}

            //// culture
            //if (trCultureResult.Visible && rbCultureIndicatorPass.Checked)
            //{
            //    st.CultureTest = true;
            //    st.CultureResult = true;
            //}
            //else if (trCultureResult.Visible && rbCultureIndicatorFail.Checked)
            //{
            //    st.CultureTest = true;
            //    st.CultureResult = false;
            //}

            //// paracetic
            //if (trParaceticResult.Visible && rbParaceticIndicatorPass.Checked)
            //{
            //    st.ParaceticAcidTest = true;
            //    st.ParaceticAcidResult = true;
            //}
            //else if (trParaceticResult.Visible && rbParaceticIndicatorFail.Checked)
            //{
            //    st.ParaceticAcidTest = true;
            //    st.ParaceticAcidResult = false;
            //}

            ////SterilizerTestManager.UpdateChemicalIndicator(st);

            //if (txtBioReadyDateTime.Text.Trim().Length > 0)
            //{
            //    st.BiologicalReadyDateTime = Convert.ToDateTime(txtBioReadyDateTime.Text.Trim());
            //}
            //else
            //{
            //    st.BiologicalReadyDateTime = DateTime.MinValue;
            //}


            //RefreshGrid("");
        }

        protected void SaveBiological(object sender, CommandEventArgs e)
        {
            //SterilizerTest st = new SterilizerTest();

            //st.SterilizerTestID = Convert.ToInt64(btnSaveBiological.CommandArgument);
            //st.BiologicalResult = rbBiologicalResultPass.Checked;
            //st.BiologicalReviewedBy = new WasherInspector();
            //st.BiologicalReviewedBy.WasherInspectorID = Convert.ToInt64(ddlBiologicalReviewedBy.SelectedValue);
            //st.BiologicalNotes = txtBiologicalNotes.Text;

            //SterilizerTestManager.UpdateBiologicalIndicator(st);

            //RefreshGrid("");
        }        

        protected void DateOffsetChanged(object sender, EventArgs e)
        {
            //// update the date field with the offset
            //DateTime dtStartTime = Convert.ToDateTime(lblDate.Text + " " + ViewState["CurrentTime"]);
            //DateTime dtTonight = Convert.ToDateTime(lblDate.Text + " 23:59:59");
            //DateTime dtOffsetStart = dtStartTime.AddMinutes(Convert.ToInt32(ddlTimeOffset.SelectedValue));

            //// reset the start date - so that if it's changed, then changed back we start from origianl date
            //lblStartDate.Text = lblDate.Text;

            //// if the current time plus offset > today 23:59:59 then we rolled to tomorrow
            //if (dtOffsetStart > dtTonight)
            //    lblStartDate.Text = dtStartTime.AddDays(1).ToShortDateString();

            //tbStartTime.Text = dtOffsetStart.ToShortTimeString();

            //mpeLoadModal.Show();
        }

        private void UpdateSuppliesUsedFromListBox(ListBox lbTemp, long lSterilizerTestID)
        {
            //foreach (ListItem li in lbTemp.Items)
            //{
            //    if (li.Selected)
            //    {
            //        SterilizerTestSuppliesUsed stsu = new SterilizerTestSuppliesUsed();
            //        stsu.SterilizerTestID = lSterilizerTestID;
            //        stsu.STSUSuppliesUsed.SuppliesUsedID = Convert.ToInt64(li.Value);

            //        if (!SterilizerTestSuppliesUsedManager.SterilizerTestSupplyExists(stsu))
            //            SterilizerTestSuppliesUsedManager.InsertSterilizerTestsSuppliesUsed(stsu);
            //    }
            //}
        }

        protected void DeleteLoad(object sender, EventArgs e)
        {
            //SterilizerTestManager.DeleteSterilizerTest(Convert.ToDateTime(Session["StartDate"]),
            //    Convert.ToInt64(btnYesDelete.CommandArgument), Global.CurrentUser.HospitalInfo.HospitalID);

            //RefreshGrid("");
        }

        private void SortGrid(int iNewSortCol)
        {
            //Get current sort column
            int iOldSortCol = Convert.ToInt32(ViewState["SortCol"]);
            //Get current sort order
            String strOldSortOrder = Convert.ToString(ViewState["SortOrder"]);
            String strNewSortOrder = "ASC"; //ascending, unless the column clicked is the same as the one currently sorted

            if (iNewSortCol == iOldSortCol)
            {
                if (strOldSortOrder == "ASC")
                {
                    strNewSortOrder = "DESC";
                }
                else
                {
                    strNewSortOrder = "ASC";
                }
            }

            ViewState["SortCol"] = iNewSortCol;
            ViewState["SortOrder"] = strNewSortOrder;

            //Refresh controls
            //RefreshGrid("");
        }

        // use this function to update parent current page from child navigation control
        // in this way we can put two controls on the page and keep them synched
        public void UpdateCurrentPage(int iCurrentPage)
        {
            //dpnPagingTop.CurrentPage = iCurrentPage;
            //dpnPagingBottom.CurrentPage = iCurrentPage;
        }

        private void GetSelectedDates(ref DateTime dtFrom, ref DateTime dtTo)
        {
            //if (rbDateDetail.Checked)
            //{
            //    dtFrom = Convert.ToDateTime(tbFromDate.Text + " 00:00:00");
            //    dtTo = Convert.ToDateTime(tbToDate.Text + " 23:59:59");
            //}
            //else
            //{
            //    if (ddlQuickDate.SelectedValue == "0")
            //    {
            //        dtFrom = Convert.ToDateTime(DateTime.Now.ToShortDateString() + " 00:00:00");
            //        dtTo = Convert.ToDateTime(DateTime.Now.ToShortDateString() + " 23:59:59");
            //    }
            //    else if (ddlQuickDate.SelectedValue == "1")
            //    {
            //        dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-1).ToShortDateString() + " 00:00:00");
            //        dtTo = Convert.ToDateTime(DateTime.Now.AddDays(-1).ToShortDateString() + " 23:59:59");
            //    }                    
            //    else if (ddlQuickDate.SelectedValue == "2")
            //    {
            //        dtTo = Convert.ToDateTime(DateTime.Now.ToShortDateString() + " 23:59:59");

            //        switch (DateTime.Now.DayOfWeek)
            //        {
            //            case DayOfWeek.Monday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-1).ToShortDateString() + " 00:00:00");                            
            //                break;
            //            case DayOfWeek.Tuesday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-2).ToShortDateString() + " 00:00:00");                            
            //                break;
            //            case DayOfWeek.Wednesday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-3).ToShortDateString() + " 00:00:00");
            //                break;
            //            case DayOfWeek.Thursday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-4).ToShortDateString() + " 00:00:00");
            //                break;
            //            case DayOfWeek.Friday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-5).ToShortDateString() + " 00:00:00");
            //                break;
            //            case DayOfWeek.Saturday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-6).ToShortDateString() + " 00:00:00");
            //                break;
            //            case DayOfWeek.Sunday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.ToShortDateString() + " 00:00:00");
            //                break;
            //        }
            //    }
            //    else if (ddlQuickDate.SelectedValue == "3")
            //    {
            //        dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-(DateTime.Now.Day) + 1).ToShortDateString() + " 00:00:00");
            //        dtTo = Convert.ToDateTime(DateTime.Now.ToShortDateString() + " 23:59:59");                    
            //    }
            //    else if (ddlQuickDate.SelectedValue == "4")
            //    {
            //        dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-(DateTime.Now.DayOfYear) + 1).ToShortDateString() + " 00:00:00");
            //        dtTo = Convert.ToDateTime(DateTime.Now.ToShortDateString() + " 23:59:59");
            //    }
            //    else if (ddlQuickDate.SelectedValue == "5")
            //    {
            //        switch (DateTime.Now.DayOfWeek)
            //        {
            //            case DayOfWeek.Monday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-8).ToShortDateString() + " 00:00:00");
            //                dtTo = Convert.ToDateTime(DateTime.Now.AddDays(-1).ToShortDateString() + " 23:59:59");
            //                break;
            //            case DayOfWeek.Tuesday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-9).ToShortDateString() + " 00:00:00");
            //                dtTo = Convert.ToDateTime(DateTime.Now.AddDays(-2).ToShortDateString() + " 23:59:59");
            //                break;
            //            case DayOfWeek.Wednesday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-10).ToShortDateString() + " 00:00:00");
            //                dtTo = Convert.ToDateTime(DateTime.Now.AddDays(-3).ToShortDateString() + " 23:59:59");
            //                break;
            //            case DayOfWeek.Thursday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-11).ToShortDateString() + " 00:00:00");
            //                dtTo = Convert.ToDateTime(DateTime.Now.AddDays(-4).ToShortDateString() + " 23:59:59");
            //                break;
            //            case DayOfWeek.Friday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-12).ToShortDateString() + " 00:00:00");
            //                dtTo = Convert.ToDateTime(DateTime.Now.AddDays(-5).ToShortDateString() + " 23:59:59");
            //                break;
            //            case DayOfWeek.Saturday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-13).ToShortDateString() + " 00:00:00");
            //                dtTo = Convert.ToDateTime(DateTime.Now.AddDays(-6).ToShortDateString() + " 23:59:59");
            //                break;
            //            case DayOfWeek.Sunday:
            //                dtFrom = Convert.ToDateTime(DateTime.Now.AddDays(-7).ToShortDateString() + " 00:00:00");
            //                dtTo = Convert.ToDateTime(DateTime.Now.ToShortDateString() + " 23:59:59"); 
            //                break;
            //        }
            //    }
            //    else if (ddlQuickDate.SelectedValue == "6")
            //    {
            //        dtFrom = Convert.ToDateTime(DateTime.Now.AddMonths(-1).AddDays(-(DateTime.Now.Day) + 1).ToShortDateString() + " 00:00:00");
            //        dtTo = Convert.ToDateTime(DateTime.Now.AddDays(-(DateTime.Now.Day + 1)).ToShortDateString() + " 23:59:59");
            //    }
            //    else if (ddlQuickDate.SelectedValue == "7")
            //    {
            //        dtFrom = Convert.ToDateTime(DateTime.Now.AddYears(-1).AddDays(-((DateTime.Now.DayOfYear) - 2)).ToShortDateString() + " 00:00:00");
            //        dtTo = Convert.ToDateTime(DateTime.Now.AddDays(-((DateTime.Now.DayOfYear))).ToShortDateString() + " 23:59:59");
            //    }
            //}
            //int i = 0;
        }
    }
}
